<component name="ProjectCodeStyleConfiguration">
  <code_scheme name="Project" version="173">
    <option name="AUTODETECT_INDENTS" value="false" />
    <option name="RIGHT_MARGIN" value="100" />
    <DB2CodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_DECLARE_EL_WRAP" value="1" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </DB2CodeStyleSettings>
    <DerbyCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_DECLARE_EL_WRAP" value="1" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </DerbyCodeStyleSettings>
    <H2CodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </H2CodeStyleSettings>
    <HSQLCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </HSQLCodeStyleSettings>
    <JSCodeStyleSettings version="0">
      <option name="FORCE_SEMICOLON_STYLE" value="true" />
      <option name="SPACE_BEFORE_FUNCTION_LEFT_PARENTH" value="false" />
      <option name="USE_DOUBLE_QUOTES" value="false" />
      <option name="FORCE_QUOTE_STYlE" value="true" />
      <option name="ENFORCE_TRAILING_COMMA" value="WhenMultiline" />
      <option name="SPACES_WITHIN_OBJECT_TYPE_BRACES" value="false" />
      <option name="IMPORT_SORT_MODULE_NAME" value="true" />
    </JSCodeStyleSettings>
    <MSSQLCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_DECLARE_EL_WRAP" value="1" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </MSSQLCodeStyleSettings>
    <MySQLCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </MySQLCodeStyleSettings>
    <OracleCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_DECLARE_EL_WRAP" value="1" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </OracleCodeStyleSettings>
    <PHPCodeStyleSettings>
      <option name="ALIGN_KEY_VALUE_PAIRS" value="true" />
      <option name="ALIGN_PHPDOC_PARAM_NAMES" value="true" />
      <option name="ALIGN_PHPDOC_COMMENTS" value="true" />
      <option name="COMMA_AFTER_LAST_ARRAY_ELEMENT" value="true" />
      <option name="PHPDOC_BLANK_LINE_BEFORE_TAGS" value="true" />
      <option name="PHPDOC_KEEP_BLANK_LINES" value="false" />
      <option name="PHPDOC_BLANK_LINES_AROUND_PARAMETERS" value="true" />
      <option name="PHPDOC_WRAP_LONG_LINES" value="true" />
      <option name="LOWER_CASE_BOOLEAN_CONST" value="true" />
      <option name="LOWER_CASE_NULL_CONST" value="true" />
      <option name="ELSE_IF_STYLE" value="COMBINE" />
      <option name="VARIABLE_NAMING_STYLE" value="CAMEL_CASE" />
      <option name="BLANK_LINES_BEFORE_RETURN_STATEMENT" value="1" />
      <option name="KEEP_RPAREN_AND_LBRACE_ON_ONE_LINE" value="true" />
      <option name="FORCE_SHORT_DECLARATION_ARRAY_STYLE" value="true" />
    </PHPCodeStyleSettings>
    <PostgresCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_DECLARE_EL_WRAP" value="1" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </PostgresCodeStyleSettings>
    <SQLiteCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </SQLiteCodeStyleSettings>
    <SqlCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_DECLARE_EL_WRAP" value="1" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
      <option name="NEW_LINE_BEFORE_FROM" value="false" />
      <option name="NEW_LINE_BEFORE_QUERY_INSIDE_PARENTHESIS" value="true" />
      <option name="NEW_LINE_BEFORE_QUERY_INSIDE_DML" value="true" />
    </SqlCodeStyleSettings>
    <SybaseCodeStyleSettings version="0">
      <option name="myVersion" value="0" />
      <option name="ALIAS_CASE" value="4" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_TRUE_INDENT" value="false" />
      <option name="QUERY_ALIGN_ELEMENTS" value="false" />
      <option name="QUERY_ALIGN_LINE_COMMENTS" value="false" />
      <option name="INSERT_EL_COMMA" value="2" />
      <option name="SET_EL_WRAP" value="0" />
      <option name="SET_EL_COMMA" value="0" />
      <option name="WITH_EL_WRAP" value="0" />
      <option name="WITH_EL_COMMA" value="0" />
      <option name="SELECT_EL_WRAP" value="3" />
      <option name="SELECT_EL_COMMA" value="2" />
      <option name="FROM_EL_WRAP" value="2" />
      <option name="FROM_EL_COMMA" value="2" />
      <option name="FROM_PLACE_ON" value="10" />
      <option name="WHERE_EL_WRAP" value="3" />
      <option name="WHERE_EL_BOUND" value="2" />
      <option name="ORDER_EL_COMMA" value="2" />
      <option name="TABLE_OPENING" value="1" />
      <option name="TABLE_CONTENT" value="2" />
      <option name="TABLE_CLOSING" value="3" />
      <option name="TABLE_TYPES_ALIGN" value="false" />
      <option name="TABLE_DEFAULTS_ALIGN" value="false" />
      <option name="TABLE_NULLABILITIES_ALIGN" value="false" />
      <option name="TABLE_ALTER_INSTRUCTION_ALIGN" value="false" />
      <option name="POST_OPT_WRAP_1" value="true" />
      <option name="POST_OPT_ALIGN" value="false" />
      <option name="ROUTINE_ARG_COMMA" value="2" />
      <option name="ROUTINE_ARG_ALIGN_TYPES" value="true" />
      <option name="IMP_COMMON_KEEP_BLANK_LINES_IN_CODE" value="4" />
      <option name="IMP_DECLARE_EL_WRAP" value="1" />
      <option name="IMP_IF_THEN_WRAP_THEN" value="true" />
      <option name="CORTEGE_SPACE_BEFORE_L_PAREN" value="false" />
      <option name="EXPR_BINARY_OP_ALIGN" value="false" />
      <option name="EXPR_CASE_WHEN_WRAP" value="false" />
      <option name="EXPR_CASE_THEN_WRAP" value="true" />
      <option name="PRIMARY_KEY_NAME_TEMPLATE" value="{table}_{columns}_pk" />
    </SybaseCodeStyleSettings>
    <TypeScriptCodeStyleSettings version="0">
      <option name="FORCE_SEMICOLON_STYLE" value="true" />
      <option name="SPACE_BEFORE_FUNCTION_LEFT_PARENTH" value="false" />
      <option name="USE_DOUBLE_QUOTES" value="false" />
      <option name="FORCE_QUOTE_STYlE" value="true" />
      <option name="ENFORCE_TRAILING_COMMA" value="WhenMultiline" />
      <option name="SPACES_WITHIN_OBJECT_TYPE_BRACES" value="false" />
      <option name="IMPORT_SORT_MODULE_NAME" value="true" />
    </TypeScriptCodeStyleSettings>
    <XML>
      <option name="XML_LEGACY_SETTINGS_IMPORTED" value="true" />
    </XML>
    <codeStyleSettings language="Gherkin">
      <indentOptions>
        <option name="INDENT_SIZE" value="4" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="HAML">
      <indentOptions>
        <option name="INDENT_SIZE" value="4" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="JSON">
      <indentOptions>
        <option name="CONTINUATION_INDENT_SIZE" value="4" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="JavaScript">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="LESS">
      <indentOptions>
        <option name="INDENT_SIZE" value="4" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="PHP">
      <option name="KEEP_BLANK_LINES_IN_DECLARATIONS" value="0" />
      <option name="KEEP_BLANK_LINES_IN_CODE" value="1" />
      <option name="KEEP_BLANK_LINES_BEFORE_RBRACE" value="0" />
      <option name="BLANK_LINES_AFTER_PACKAGE" value="1" />
      <option name="BLANK_LINES_AROUND_FIELD" value="1" />
      <option name="ALIGN_MULTILINE_PARAMETERS_IN_CALLS" value="true" />
      <option name="ALIGN_MULTILINE_ARRAY_INITIALIZER_EXPRESSION" value="true" />
      <option name="SPACE_AFTER_TYPE_CAST" value="true" />
      <option name="CALL_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="CALL_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_WRAP" value="5" />
      <option name="ARRAY_INITIALIZER_LBRACE_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_RBRACE_ON_NEXT_LINE" value="true" />
      <option name="IF_BRACE_FORCE" value="3" />
      <option name="DOWHILE_BRACE_FORCE" value="3" />
      <option name="WHILE_BRACE_FORCE" value="3" />
      <option name="FOR_BRACE_FORCE" value="3" />
    </codeStyleSettings>
    <codeStyleSettings language="SASS">
      <indentOptions>
        <option name="INDENT_SIZE" value="4" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="SCSS">
      <indentOptions>
        <option name="CONTINUATION_INDENT_SIZE" value="4" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="TypeScript">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="yaml">
      <indentOptions>
        <option name="INDENT_SIZE" value="4" />
      </indentOptions>
    </codeStyleSettings>
  </code_scheme>
</component>